Description

In the following scenario:

project1

   \        \_ task1 (task of project1)

    \__ project2 (subproject of project1)

             \_ task2 (task of project2)

 If I try to set task1 as the parent task of task2, the system responds as "Parent task doesn't belong to the same project".

Is there any problem which should theoretically deny this setting?

Related issues:

Is duplicate of Redmine - Feature #5487: Allow subtasks to cross projects Closed 2010-05-09

History

#1 - 2010-07-27 16:23 - Mischa The Evil

- Tracker changed from Defect to Feature

- Subject changed from parent task setting bug to Cross-project Parent Tasks

Currently, as part of issue #443, subtasks are implemented at project-level only; cross-project subtasks are not (yet) possible.

Changed the issue-attributes accordingly.

#2 - 2010-08-11 15:49 - Peter Pan

That would be a great feature and would make the use of subprojects more interesting

#3 - 2010-08-27 09:46 - Grégory Janiszewski

Hello,

I have the same need.

I just want explain our development in our compagny:

We develop embedded system for moving machine (electronic, software, sensor, wiring...) containing CPU board, Display board...

We receive specification from our customer that can impact lot of different parts of the system (soft, hard, wiring...).

My idea is to use Redmine to manage all modifications linked to one specification:

Main project = Customer system

Subproject 1 : CPU software

Subproject 2 : Display software

Subproject 3 : Wiring diagram

Subproject 4 : PC tool soft

Subproject 4 : etc...

I need to create subproject because all software or drawing, have their own lifecycle, not necessary linked (a CPU update doesn't necessary affect

display software version).

=> Subprojects are ok.

But now, I would like to use subtask feature to handle on specification and all necessary modifications in one place to check how this spec is going
globally.

For eg:

Spec001 is add new feature that require:

addition of new sensor on the machine (wiring modification)

CPU software modification:

management of new sensor

dev of new function

Display modification to shown new values

etc...

In order to do that I would like to do:

Create Main task in main project

Create all necessary subtasks linked to main task in dedicated subproject

This allow me to directly check main tasks at "main project" level to see if everything goes well.

Also I can manage roadmap of all subprojects and always know for each specification what is the needed release of all subproject:

For eg:

To get "spec001" working on a machine, I need:

CPU soft version 1.2.3

Disp soft version 2.4.6

Wiring version 1.2.2

etc...

Subtask can also be linked to another "main project" shared between different "customer project" (this is done in case of multiples customer projects

that reuse the same "component" (hard/soft...) )

I don't know if there is a solution for that right now!

What so you think about that?

If this feature can be added, Redmine will become the perfect tool for us !

#4 - 2010-10-04 05:20 - Mischa The Evil

- Category deleted (Issues)

- Status changed from New to Closed

- Resolution set to Duplicate

Actually, this issue is a duplicate of issue #5487. Closing this one as such. Please post any further comments to that issue.
